<?php
ini_set('display_errors','1');
error_reporting (E_ALL);
session_start();
setlocale (LC_ALL, 'de_DE');
header('Content-Type: text/html; charset=utf-8');
include('backend.php');

if (empty($module)) $module = 'login';

if (isset($_SESSION['backend'][$session_name]) && $_SESSION['backend'][$session_name]){
	preg_match("/(.*)_labels/i", $module, $labels_module_key);
	preg_match("/(.*)_levels/i", $module, $level_module_key);
	preg_match("/id_(.*)/i", $module, $id_module_key);
	
	if (isset($backend_module) && isset($labels_module_key[1]) && is_file('modules/'.$backend_module.'/'.$labels_module_key[1].'_labels_do.php')) {
		include('modules/'.$backend_module.'/'.$labels_module_key[1].'_labels_do.php');
	} else if (isset($labels_module_key[1]) && is_file('labels_do.php')) {
		include('labels_do.php');
	} else if (isset($backend_module) && isset($level_module_key[1]) && is_file('modules/'.$backend_module.'/'.$level_module_key[1].'_levels_do.php')) {
		include('modules/'.$backend_module.'/'.$level_module_key[1].'_levels_do.php');
	} else if (isset($level_module_key[1]) && is_file('levels_do.php')) {
		include('levels_do.php');
	} else if (isset($backend_module) && isset($id_module_key[1]) && is_file('modules/'.$backend_module.'/id_'.$id_module_key[1].'_do.php')) {
		include('modules/'.$backend_module.'/id_'.$id_module_key[1].'_do.php');
	} else if (isset($id_module_key[1])){
		include('id_do.php');
	} else if (isset($backend_module) && is_file('modules/'.$backend_module.'/'.$module.'_do.php')) {
		include('modules/'.$backend_module.'/'.$module.'_do.php');
	}
}
?>